package cn.ey.biz.module.system.convert.contract;

import cn.ey.biz.module.system.api.contract.dto.ContractArchivedDTO;
import cn.ey.biz.module.system.controller.admin.contract.v2.vo.ContractArchivedVO;
import cn.ey.biz.module.system.dal.dataobject.contract.ContractArchivedDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

@Mapper
public interface ContractArchivedConvert {
    ContractArchivedConvert INSTANCE = Mappers.getMapper(ContractArchivedConvert.class);

    ContractArchivedDO vo2Do(ContractArchivedVO doo);

    ContractArchivedVO do2VO(ContractArchivedDO entity);

    ContractArchivedDTO vo2Dto(ContractArchivedVO vo);
}
